<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'mod_courselinks', language 'fr'.
 *
 * @package mod_courselinks
 * @author 2025 Anthony Durif
 * @copyright 2025 Anthony Durif, Université Clermont Auvergne
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['back'] = 'Retour au cours';
$string['by_line'] = ' par ligne';
$string['card_disposition'] = 'Disposition des vignettes';
$string['card_disposition_help'] = 'Choix de la disposition et du nombre de vignettes affichées par ligne. Si le choix est "Automatique" ce nombre s\'adaptera automatiquement
                                en fonction du nombre total de vignettes et de l\'espace disponible sur le cours. <br/>
                                Attention, ce choix sera pris en compte par défaut mais pourra s\'adapter automatiquement en fonction de votre appareil et/ou de la résolution utilisée pour plus de lisibilité de celles-ci (responsive).';
$string['courselinks:addinstance'] = 'Ajouter des liens de cours';
$string['courselinks:view'] = 'Visualiser l\'étiquette des liens de cours';
$string['display'] = 'Type d\'affichage des liens';
$string['display_help'] = 'Caractérise la façon dont vous voulez faire afficher les liens dans votre cours.
                            <p><ul><li>Vignette: les liens seront affichés sous forme de vignette avec l\'image de cours propre à chaque cours.</li>
                            <li>Liste : les liens seront listés les uns en dessous des autres.</li>
                            <li>Menu de navigation: les liens seront affichés sous forme d\'un menu où chaque cours sera représenté par un item du menu.</li></ul></p>';
$string['display:card'] = 'Vignette';
$string['error_courses'] = '<div class="alert alert-danger">Impossible d\'ajouter des liens vers d\'autres cours, vous ne possédez pas de droits de gestion sur des cours autres que celui-ci.</div>';
$string['error_links'] = 'Veuillez sélectionner au moins un cours vers lequel faire un lien.';
$string['display:list'] = 'Liste';
$string['display:nav'] = 'Menu de navigation';
$string['links'] = 'Cours vers lesquels ajouter un lien';
$string['links_help'] = 'Cours vers lesquels vous souhaitez ajouter un lien depuis ce cours. Seuls les cours où vous avez des droits de gestion sont disponible à la sélection.';
$string['modulename'] = 'Liens de cours';
$string['modulenameplural'] = 'Liens de cours';
$string['modulename_help'] = 'Plugin permettant de faire afficher sous forme d\'étiquette des liens vers d\'autres espaces de cours.';
$string['opentype'] = 'Type de consultation des liens';
$string['opentype_help'] = 'Caractérise la façon dont vous voulez consulter les liens menant aux autres cours. Ceux-ci peuvent être consulter de trois façons:
                            <p><ul><li>Ouverture du lien dans l\'onglet courant.</li>
                            <li>Ouverture du lien dans un nouvel onglet.</li>
                            <li>Ouverture du lien dans une nouvelle fenêtre surgissante.</li></ul></p>';
$string['open:new_tab'] = 'Ouvrir dans un nouvel onglet';
$string['open:new_window'] = 'Ouvrir dans une fenêtre surgissante';
$string['open:same'] = 'Ouvrir dans l\'onglet courant';
$string['pluginadministration'] = 'Ressource "Liens de cours"';
$string['pluginname'] = 'Liens de cours';
$string['privacy:metadata'] = 'Le plugin Liens de cours ne stocke aucune donnée personnelle et ne fait qu\'afficher du code html propre au cours.';
$string['show_all_courses'] = 'Forcer l\'affichage de tous les cours sélectionnés';
$string['show_all_courses_help'] = 'Si cette case est cochée tous les cours sélectionnés seront affichés dans l\'activité. Aucun test sur l\'accès aux cours ne sera effectué.';
